
import java.awt.*;
import javax.swing.*;

import java.util.Vector;

// einfache Liste mit Vector
// Mit Scrollbox, Inhalt Liste, damit kann gecrollt werden

public class Liste04 extends JFrame {


  //Frame konstruieren
  public Liste04() {
    setSize(400, 320);
    setTitle("JList Liste04");
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();
  }

  private void setGUI() {
     JButton bn1;
     JList jlist;
     JScrollPane scroll;
     Vector items=new Vector();

    this.getContentPane().setLayout ( new GridBagLayout() );

    // Array für die JList
    for (int i=0; i<20; i++) {
      items.add( Integer.toHexString(i+1)+" Auswahl" );
    }

    jlist = new JList(items);
       // Generiere eine Scrollbox, Inhalt Liste, damit kann gecrollt werden
    scroll = new JScrollPane(jlist);

    this.getContentPane().add(scroll,
      new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER,
            GridBagConstraints.BOTH, 
             new Insets(10,10,10,10), 0, 0));

    bn1 = new JButton("Ok");  // Label erzeugen
    this.getContentPane().add(bn1, 
              new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, 
               new Insets(0,0,10,00), 0, 0));

    jlist.setFont( new Font("Arial", Font.BOLD,18)  );
    bn1.setFont( new Font("Arial", Font.BOLD,18)  );

  } // create



  public static void main(String[] args) {
    Liste04 frame = new Liste04();
    frame.setVisible(true);
  }


}
